# openstack.block_storage.v2.transfer

## The Volume Transfer Class

The `Volume Transfer` class inherits from `Resource`.

class openstack.block_storage.v2.transfer.Transfer(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'transfer'

    Singular form of key for resource.

  resources_key = 'transfers'

    Plural form of key for resource.

  base_path = '/os-volume-transfer'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  id

    UUID of the transfer.

  created_at

    The date and time when the resource was created.

  name

    Name of the volume to transfer.

  volume_id

    ID of the volume to transfer.

  auth_key

    Auth key for the transfer.

  links

    A list of links associated with this volume. Type: list

  accept(session, *, auth_key=None)

    Accept a volume transfer.

    Parameters:

      - session – The session to use for making this request.

      - auth_key – The authentication key for the volume transfer.

    Returns:

      This `Transfer` instance.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.